Bug 961168 - Review Request: jsonp - JSR 353 (JSON Processing) RI
Review Request: jsonp - JSR 353 (JSON Processing) RI
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Depends On: 947511 965930
  Show dependency treegraph
Reported: 2013-05-08 22:47 EDT by gil cattaneo
Modified: 2013-06-05 21:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: jsonp-1.0-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-04 23:17:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-05-08 22:47:13 EDT
Spec URL: http://gil.fedorapeople.org/jsonp.spec
SRPM URL: http://gil.fedorapeople.org/jsonp-1.0-1.fc18.src.rpm
Description: JSR 353: Java API for Processing JSON RI.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-05-08 22:51:34 EDT
This package is needed for jersey JAX-RS  2.0 (JSR 339) production quality Reference Implementation
Comment 2 Tom "spot" Callaway 2013-05-16 11:09:43 EDT
= Review =


- rpmlint checks return:

jsonp.src: W: invalid-url Source0: jsonp-1.0-src-git.tar.xz

Safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (CDDL or GPLv2 with exceptions) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (manual diff okay, due to git source)
- package compiles on f19 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- -javadocs ok
- nothing in %doc affects runtime
- no need for .desktop file

Comment 3 gil cattaneo 2013-05-16 11:16:44 EDT
Thanks for the review

New Package SCM Request
Package Name: jsonp
Short Description: JSR 353 (JSON Processing) RI
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-05-16 11:31:37 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-05-26 14:12:50 EDT
jsonp-1.0-2.fc19 has been submitted as an update for Fedora 19.
Comment 6 Fedora Update System 2013-05-26 14:25:16 EDT
jsonp-1.0-2.fc18 has been submitted as an update for Fedora 18.
Comment 7 Fedora Update System 2013-05-26 22:28:49 EDT
jsonp-1.0-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-06-04 23:17:10 EDT
jsonp-1.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-06-05 21:33:34 EDT
jsonp-1.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.